Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-94960

Qt3d RHI render plugin (LGPL) links to ShaderTools (GPL)

    XMLWordPrintable

    Details

    • Type: Suggestion
    • Status: Reported
    • Priority: Not Evaluated
    • Resolution: Unresolved
    • Affects Version/s: 6.1.2, 6.2.0 Alpha
    • Fix Version/s: None
    • Component/s: Qt RHI, Qt3D
    • Labels:
      None
    • Platform/s:
      Windows

      Description

      The RHI renderplugin (qt\6.x.x\Src\qt3d\src\plugins\renderers\rhi) in Qt3d is dependent on ShaderTools.

      Applications using RHI, including simple Qt 3d examples, crash without Qt6ShaderTools.dll.

      This basically makes Qt3d fall under GPL when using the RHI backend. If I read QTBUG-78589 correctly, this is not the intention.

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            lagocs Laszlo Agocs
            Reporter:
            b3n Benjamin Hopfer
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes